import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'friends_operation_request.g.dart';

@JsonSerializable()
class FriendsOperationRequest extends AppBaseRequest {
  @JsonKey(name: "friendId")
  final String friendId;

  @JsonKey(name: "remark")
  String? remark;

  @JsonKey(name: "blocked")
  bool? blocked;

  FriendsOperationRequest({required this.friendId, this.blocked, this.remark});

  factory FriendsOperationRequest.fromJson(Map<String, dynamic> json) =>
      _$FriendsOperationRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$FriendsOperationRequestToJson(this);
}
